@echo off
@%windir%\system32\chcp 1251 >output.tmp

@rem -- MODEL GENERATOR BATCH --
@rem --avmodel 
@rem --preproc crmodeln 
@rem --cmodel
@rem --model
@rem --fsbor32b

SET FILE_LST=frund.lst
SET FILE_PROGRESS=frund.prg
SET FILE_FLAG_MPI=mpi.flag
SET FILE_SUBSYS=subsys.txt

if exist %FILE_LST%  (del %FILE_LST%)

@echo +--------------------------------------------------
@echo + MODEL GENERATOR BATCH
@echo +--------------------------------------------------
@echo.
@echo Start time: %TIME%

@echo 1 > %FILE_PROGRESS%

del *.sts
del rashet32.*
del sync.*

if exist modhelp.mhl  (del modhelp.mhl)
if exist cfprav00     (del cfprav00)
if exist cfprav11     (del cfprav11)
if exist avmodel.tmp  (del avmodel.tmp)
if exist %FILE_FLAG_MPI% (del nprocess.dat)

if exist %FILE_FLAG_MPI% (
if exist %FILE_SUBSYS% (
preproc fadres %FILE_SUBSYS%
)
)

@rem echo +--------------------------------------------------
@rem echo + Add model elements to library AVMODEL
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + AVMODEL
@echo +--------------------------------------------------
@echo 1 >10000000.lba
@echo 2 >avmodel.cnt
@echo y >avmodel.inp
for %%f in (*.lba) do echo %%f >> avmodel.tmp

avmodel < avmodel.inp

rem TODO: ।   :
rem if %errorlevel% NEQ 0 (
rem @echo %errorlevel% > avmodel.sts
rem @echo +--------------------------------------------------
rem @echo + AVMODEL ERR
rem @echo +--------------------------------------------------
rem goto fail)

if not exist avmodel.sts (
@echo +--------------------------------------------------
@echo + AVMODEL ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + AVMODEL OK
@echo +--------------------------------------------------
rem pause
@echo 3 > %FILE_PROGRESS%

@rem echo +--------------------------------------------------
@rem echo + Model macro preprocessor CRMODELN
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + CRMODELN
@echo +--------------------------------------------------
if exist default.mhl (copy default.mhl modhelp.mhl >output.tmp)
preproc crmodeln
if %errorlevel% NEQ 0 (
@echo %errorlevel% > crmodelp.sts
@echo +--------------------------------------------------
@echo + CRMODELN ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + CRMODELN OK
@echo +--------------------------------------------------
rem pause
@echo 5 > %FILE_PROGRESS%

@rem echo +--------------------------------------------------
@rem echo + Model data input CRMODEL
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + CRMODEL
@echo +--------------------------------------------------
crmodel.exe
rem TODO: ।   :
rem if %errorlevel% NEQ 0 (
rem @echo %errorlevel% > crmodel.sts
rem @echo +--------------------------------------------------
rem @echo + CRMODEL ERR
rem @echo +--------------------------------------------------
rem goto fail)

if not exist crmodel.sts (
@echo +--------------------------------------------------
@echo + CRMODEL ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + CRMODEL OK
@echo +--------------------------------------------------

@echo 10 > %FILE_PROGRESS%
rem pause

rem TODO:   ⮬ 맮
call umnform.bat

@rem echo +--------------------------------------------------
@rem echo + Sources generation MODEL
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + MODEL
@echo +--------------------------------------------------
if exist default.mhl (
  if exist modhelp.mhl (
    copy /y default.mhl+modhelp.mhl default.mhl/b >output.tmp
  )
)
copy default.mhl modhelp >output.tmp
if exist *.for  del *.for
if exist *.f    del *.f
if exist fas*.* del fas*.*

model < model.inp

rem TODO: ।   :
rem if %errorlevel% NEQ 0 (
rem @echo %errorlevel% > model.sts
rem @echo +--------------------------------------------------
rem @echo + MODEL ERR
rem @echo +--------------------------------------------------
rem goto fail)

if not exist model.sts (
@echo +--------------------------------------------------
@echo + MODEL ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + MODEL OK
@echo +--------------------------------------------------

@echo 40 > %FILE_PROGRESS%
rem pause

@rem echo +--------------------------------------------------
@rem echo +  Sources generation MAKE
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + MAKE
@echo +--------------------------------------------------
copy fmodel.tmp fmodel.sts >output.tmp
call _make.cmd
if %errorlevel% NEQ 0 (
@echo %errorlevel% > crmodel.sts
@echo +--------------------------------------------------
@echo + MAKE ERR
@echo +--------------------------------------------------
if exist fmodel.sts del fmodel.sts
goto fail)
@echo +--------------------------------------------------
@echo + MAKE OK
@echo +--------------------------------------------------

@echo 90 > %FILE_PROGRESS%

if exist modhelp.mhl copy modhelp.mhl default.mhl >output.tmp
@echo Stop time: %TIME%
@echo +--------------------------------------------------
@echo + MODEL GENERATOR OK
@echo +--------------------------------------------------
@echo 100 > %FILE_PROGRESS%
exit /b 0
:fail
@echo 100 > %FILE_PROGRESS%
if exist fmodel.sts del fmodel.sts
exit /b 1