@echo off
@rem -- MODEL GENERATOR BATCH --
@rem --avmodel 
@rem --preproc crmodeln 
@rem --cmodel
@rem --model
@rem --fsbor32b

SET FILE_LST=frund.lst
SET FILE_PROGRESS=frund.prg

if exist %FILE_LST%  (del %FILE_LST%)

@echo +--------------------------------------------------
@echo + MODEL GENERATOR BATCH
@echo +--------------------------------------------------
@echo.
@echo Start time: %TIME%

@echo 1 > %FILE_PROGRESS%

del *.sts
if exist rashet32.exe (del rashet32.exe)
if exist modhelp.mhl  (del modhelp.mhl)
if exist cfprav00     (del cfprav00)
if exist cfprav11     (del cfprav11)
if exist avmodel.tmp  (del avmodel.tmp)

@rem echo +--------------------------------------------------
@rem echo + Add model elements to library AVMODEL
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + AVMODEL
@echo +--------------------------------------------------
call FAVMODEL.BAT
if %errorlevel% NEQ 0 (
@echo %errorlevel% > crmodelp.sts
@echo +--------------------------------------------------
@echo + AVMODEL ERR %errorlevel%
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + AVMODEL OK
@echo +--------------------------------------------------

@echo 3 > %FILE_PROGRESS%

@rem echo +--------------------------------------------------
@rem echo + Model macro preprocessor CRMODELN
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + CRMODELN
@echo +--------------------------------------------------
copy crmodelm.tmp windos.dat
if exist default.mhl (copy default.mhl modhelp.mhl)
crmodeln

if not exist crmodelp.sts (
@echo %errorlevel% > crmodelp.sts
@echo +--------------------------------------------------
@echo + CRMODELN ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + CRMODELN OK
@echo +--------------------------------------------------

@echo 5 > %FILE_PROGRESS%

@rem echo +--------------------------------------------------
@rem echo + Model data input CRMODEL
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + CRMODEL
@echo +--------------------------------------------------
preprocd windos modelp.mdl
crmodel.exe
if not exist crmodel.sts (
@echo +--------------------------------------------------
@echo + CRMODEL ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + CRMODEL OK
@echo +--------------------------------------------------

@echo 10 > %FILE_PROGRESS%

rem TODO:   ⮬ 맮
call umnform.bat

@rem echo +--------------------------------------------------
@rem echo + Sources generation MODEL
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + MODEL
@echo +--------------------------------------------------
if exist default.mhl (
  if exist modhelp.mhl (
    copy /y default.mhl+modhelp.mhl default.mhl/b >tmp.lst
  )
)
copy default.mhl modhelp >tmp.lst
if exist *.for  del *.for
if exist *.f    del *.f
if exist fas*.* del fas*.*

model32 < model.inp

if not exist model.sts (
@echo +--------------------------------------------------
@echo + MODEL ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + MODEL OK
@echo +--------------------------------------------------

@echo 40 > %FILE_PROGRESS%

@rem echo +--------------------------------------------------
@rem echo +  Sources generation MAKE
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + MAKE
@echo +--------------------------------------------------
copy fmodel.tmp fmodel.sts >tmp.lst
call _make
if %errorlevel% NEQ 0 (
@echo %errorlevel% > crmodel.sts
@echo +--------------------------------------------------
@echo + MAKE ERR
@echo +--------------------------------------------------
if exist fmodel.sts del fmodel.sts
goto fail)
@echo +--------------------------------------------------
@echo + MAKE OK
@echo +--------------------------------------------------

@echo 90 > %FILE_PROGRESS%

if exist modhelp.mhl copy modhelp.mhl default.mhl >tmp.lst
echo Stop time: %TIME%
@echo +--------------------------------------------------
@echo + MODEL GENERATOR OK
@echo +--------------------------------------------------
@echo 100 > %FILE_PROGRESS%
rem preprocd doswin frund.lst
exit /b 0
:fail
rem preprocd doswin frund.lst
exit /b %errorlevel%
