@echo off
rem --preproc crmodelr
rem --crmodel
rem --rashet32

SET FILE_LST=frund.lst
SET FILE_PROGRESS=frund.prg

if exist %FILE_LST%  (del %FILE_LST%)

@echo +--------------------------------------------------
@echo + SOLVER BATCH
@echo +--------------------------------------------------
@echo.
@echo Start time: %TIME%

@echo 1 > %FILE_PROGRESS%

del *.sts
if exist rashelp     (del rashelp)
if exist rashelp.rhl (del rashelp.rhl)

@rem echo +--------------------------------------------------
@rem echo + Solver macro preprocessor CRMODELR
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + CRMODELR
@echo +--------------------------------------------------
if exist default.rhl (copy default.rhl rashelp.rhl >tmp.lst)
preprocd crmodelr
if %errorlevel% NEQ 0 (
@echo %errorlevel% > crmodelp.sts
@echo +--------------------------------------------------
@echo + CRMODELR ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + CRMODELR OK
@echo +--------------------------------------------------


@rem echo +--------------------------------------------------
@rem echo + SOLVER data input CRMODEL
@rem echo +--------------------------------------------------
@echo +--------------------------------------------------
@echo + CRMODEL
@echo +--------------------------------------------------
preprocd windos rashetp.ras
del 1.rhl
if exist default.rhl (
  if exist rashelp.rhl (
    copy /y default.rhl+rashelp.rhl default.rhl/b >tmp.lst
  )
)
crmodel.exe
preprocd doswin rashetp.ras
rem TODO: ।   :
rem if %errorlevel% NEQ 0 (
rem @echo %errorlevel% > crmodel.sts
rem @echo +--------------------------------------------------
rem @echo + CRMODEL ERR
rem @echo +--------------------------------------------------
rem goto fail)

if not exist crmodel.sts (
@echo +--------------------------------------------------
@echo + CRMODEL ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + CRMODEL OK
@echo +--------------------------------------------------

@echo 5 > %FILE_PROGRESS%

@echo +--------------------------------------------------
@echo + RASHET32
@echo +--------------------------------------------------
if exist default.rhl (
  copy default.rhl rashelp >tmp.lst
) else if exist rashelp.rhl (
  copy rashelp.rhl rashelp >tmp.lst
)
copy fshell.ico  initcond.inp >tmp.lst
copy fshell.int  epsilon.dat >tmp.lst
copy fshell.upr  uprf >tmp.lst
copy fshell.inp  rashetsh.inp >tmp.lst

rashet32.exe < rashetsh.inp

rem TODO: ।   :
rem if %errorlevel% NEQ 0 (
rem @echo %errorlevel% > crmodel.sts
rem @echo +--------------------------------------------------
rem @echo + RASHET32 ERR
rem @echo +--------------------------------------------------
rem goto fail)

if not exist rashet.sts (
@echo +--------------------------------------------------
@echo + RASHET32 ERR
@echo +--------------------------------------------------
goto fail)
@echo +--------------------------------------------------
@echo + RASHET32 OK
@echo +--------------------------------------------------

if exist rashelp.rhl copy rashelp.rhl default.rhl >tmp.lst

@echo Stop time: %TIME%
@echo +--------------------------------------------------
@echo + SOLVER OK
@echo +--------------------------------------------------
@echo 100 > %FILE_PROGRESS%
exit /b 0
:fail
@echo 100 > %FILE_PROGRESS%
exit /b 1
